Subject: Re: bug#53323: Please,I have a hard disk mounting problem for ESXI

From: "Brian C. Lane" <[email-masked]>
Date: Mon, 17 Jan 2022 14:03:56 -0800

On Mon, Jan 17, 2022 at 03:01:39AM +0000, Rui Chen wrote:
> Dear Engineer
> How do you do
> The following message is: Unable to determine the size of /dev/genscsi/t10.DP______BACKPLANE000000 (Function not implemented).
>        I'm sorry to bother you, but I really have a problem that has been bothering me for a long time.
>        A data disk has been mounted to my ESXI, and raid is not configured. However, in a recent operation, I took this disk down, and it could not be recognized after installation. The following is the relevant screenshot, please help to check it. ESXI version: 6.2.5
> ________________________________
> Thank you very much. Best Regards！

The error means that the kernel doesn't support the BLKGETSIZE ioctl for
the device in question. There isn't anything parted can do about that.
Also, version 2.4 is quite old at this point -- but even with a newer
version you would have the same problem.

Brian

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart